%define major		1.3.3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		jthread
Version:	1.3.3
Release:	%mkrel 3
Summary:	Make use of threads easy on different platforms
License:	MIT
Group:		System/Libraries
Url:		http://research.edm.uhasselt.be/jori/page/CS/Jthread.html
Source0:	http://research.edm.uhasselt.be/jori/jthread/%{name}-%{version}.tar.bz2

BuildRequires:	cmake

%description
The JThread package provides some classes to make use of threads easy
on different platforms. The classes are actually rather simple
wrappers around existing thread implementations.

%package -n	%{libname}
Summary:	Make use of threads easy on different platforms
Group:		System/Libraries

%description -n %{libname}
The JThread package provides some classes to make use of threads easy
on different platforms. The classes are actually rather simple
wrappers around existing thread implementations.

%package -n	%{develname}
Summary:	Make use of threads easy on different platforms
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
The JThread package provides some classes to make use of threads easy
on different platforms. The classes are actually rather simple
wrappers around existing thread implementations.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -fno-stack-protector"
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_includedir}/%{name}/
%{_libdir}/cmake/JThread/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a


%changelog
* Thu Feb 13 2020 daviddavid <daviddavid> 1.3.3-3.mga8
+ Revision: 1513767
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3.3-2.mga7
+ Revision: 1298402
- Mageia 7 Mass Rebuild

* Fri Mar 24 2017 akien <akien> 1.3.3-1.mga6
+ Revision: 1094691
- Version 1.3.3

* Fri Feb 05 2016 umeabot <umeabot> 1.3.1-8.mga6
+ Revision: 938270
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-7.mga5
+ Revision: 741542
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-6.mga5
+ Revision: 680888
- Mageia 5 Mass Rebuild

* Fri Apr 04 2014 wally <wally> 1.3.1-5.mga5
+ Revision: 611733
- build with -fno-stack-protector
+ daviddavid <daviddavid>
- try to rebuild by disabling parallel make
- rebuild for Mageia 5 (missed Mageia 4 Mass Rebuild)
+ david-david <david-david>
- fix devel package provides
- use %%{major} instead of %%{version} for libraries
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3.1-2.mga3
+ Revision: 355660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dams <dams> 1.3.1-1.mga3
+ Revision: 291365
- add cmake as a buildrequire
- new version 1.3.1
- clean and update specfile like on Mandriva
- imported package jthread


* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2008.0
+ Revision: 80954
- Import jthread



* Thu Sep  6 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2008.0
- initial package
